{% extends 'base/base.html' %}

{% load static %}

{% block page_content %}
  
<!-- Dropdown Card Example -->
<div class="card shadow mb-4">
    <!-- Card Header - Dropdown -->
    <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
        <h6 class="m-0 font-weight-bold text-primary">Listado de Personas - Pinos, Zacatecas </h6>
        <div class="dropdown no-arrow">
            <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                <i class="fas fa-ellipsis-v fa-sm fa-fw text-gray-400"></i>
            </a>
            <div class="dropdown-menu dropdown-menu-right shadow animated--fade-in" aria-labelledby="dropdownMenuLink">
                <div class="dropdown-header">Acciones:</div>
                    <a class="dropdown-item" href="{% url 'apoyos:personas_new' %}"> <i class="fa fa-calendar-plus"></i>Nueva</a>
                    <!-- <a class="dropdown-item" href="#"><i class="fa fa-search-plus"></i>Buscar</a> -->
                    <!-- <a class="dropdown-item" href="#">Another action</a> -->
                <div class="dropdown-divider"></div>
                <!-- <a class="dropdown-item" href="#">Something else here</a> -->
            </div>
        </div>
    </div>

    <form class="form-inline" action="{% url 'apoyos:busqueda' %}">
        {% csrf_token %}
         <div class="col-xl-6 col-md-6 mb-6">
             
             {% if obj %}      
                <div class="card border-left-warning shadow h-100 py-2">
             {% else %}
                <div class="card border-left-success shadow h-100 py-2">
             {% endif %}
             
                 <div class="card-body">
                     <div class="row no-gutters align-items-center">
                         <div class="col mr-2">
                             <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">
                                {% if obj %} Buscar {% endif %} Persona 
                             </div>                        
                             <div class="dropdown-divider"></div>
 
                             <div class="col">
                                <div class="card" style="width: 28rem;">
                                    <img src="{% static 'base/img/buscar_persona.svg' %}" class="card-img-top" alt="..." height="200px" width="200px">
                                    <div class="card-body">
                                        <h5 class="card-title text-md-center">Búsqueda de Personas - Pinos, Zacatecas</h5>                                      
                                    </div>
                                 </div>
                             </div>
                             
                             <!-- primer fila -->
                             <div class="row mt-3">                                
                                 <div class="col text-uppercase font-weight-bold">
                                    Curp:
                                    <div class="input-group mt-2">
                                        <input type="search" name="busper" placeholder="Ingresa tu CURP.." class="form-control" maxlength="18">
                                    </div>
                                 </div>
                             </div>
 
                             <!-- {{ form.as_p }} -->
                             <div class="dropdown-divider"></div>
                             <div class="row">
                                  <div class="col">
                                    <button type="submit" class="btn btn-danger"><span class="fa fa-search"></span>Buscar</button>
                                    <a href="{% url 'apoyos:personas_list' %}" class="btn btn-success"><span class="fa fa-undo">Cancelar</span></a>
                                 </div>
                             </div>                                
                             
                        </div>                        
                    </div>
                </div>
            </div>
        </div>
    </form>  
 
    <!-- Card Body -->
    <div class="card-body">

        {% if not obj %}
            <div class="alert alert-info">No hay ninguna persona registrada con esta CURP..</div>           
        {% else %}

        <!-- listado con datatables -->
        <div class="alert alert-heading text-uppercase font-weight-bolder"> >> Resultados:</div>  
        <table class="table table-bordered table-striped">
            <thead>
                <th>CURP</th>
                <th>NOMBRES</th>
                <th>AP PATERNO</th>
                <!-- <th>LOCALIDAD</th> -->
                <!-- <th>SECCIÓN</th> -->
                <th>ACCIONES</th>
            </thead>

            <tbody>
                                
                <tr>                        
                    {% if obj.curp %}
                        <td>{{ obj.curp }}</td>
                    {% else %}
                        <td></td>
                    {% endif %}
                        
                    {% if obj.nombres %}
                        <td>{{ obj.nombres }}</td>
                    {% else %}
                        <td></td>
                    {% endif %}
                                                    
                    {% if obj.ap_paterno %}
                        <td>{{ obj.ap_paterno }}</td>
                    {% else %}
                         <td></td>
                    {% endif %}
                            
                    <!-- {% if item.localidad %}
                        <td>{{ item.localidad }}</td>
                    {% else %}
                        <td></td>
                    {% endif %} -->
                            
                    <!-- <td>{{ item.localidad.seccion }} </td> -->
                    <td>
                        <a href="{% url 'apoyos:personas_edit' obj.id %}" class="btn btn-warning btn-circle"><i class="far fa-edit"></i></a>                           
                        <a href="{% url 'apoyos:personas_delete' obj.id %}" class="btn btn-danger btn-circle"><i class="fas fa-trash-alt"></i> </a>

                        <a href="{% url 'apoyos:apoyos-recibidos' obj.id %}" class="btn btn-success btn-icon-split btn-sm">
                            <span class="icon text-white-50">
                                <i class="fas fa-list"></i>
                            </span>
                            <span class="text">Ver apoyos</span>
                        </a>

                        <a href="{% url 'apoyos:agregar_apoyos' obj.id %}" class="btn btn-info btn-icon-split btn-sm">
                            <span class="icon text-white-50">
                                <i class="fas fa-box-open"></i>
                            </span>
                            <span class="text">Dar apoyo</span> 
                        </a>
                    </td>
                </tr>
                                    
            </tbody>

        </table>
        {% endif %}

        <!-- <div>
            <a href="{% url 'apoyos:personas_list' %}" class="btn btn-secondary btn-icon-split">
                <span class="icon text-white-50">
                    <i class="fas fa-arrow-left"></i>
                </span>
                <span class="text">Regresar</span>
            </a>        
        </div> -->
    </div>
</div>  
{% endblock page_content %} 
   
{% block js_page %} {% endblock js_page %}
    